﻿@model IEnumerable<eCommerce.Services.Model.Order>
@{
    ViewBag.Title = "Ventas";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Listado de Comentarios</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="window.location.href = '/Orders/OrderUpdate/-1'">
                <i class="icon wb-plus" aria-hidden="true"></i>
                <span class="hidden-xs">NUEVA VENTA</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_OrderList", Model)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            setActionsDialogs();
        })

        function fCancel(Id)
        {
            $.ajax({
                url: "/Orders/OrderCancel/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    setActionsDialogs();
                    swal("La venta ha sido cancelada.", "", "success");
                },
                error: function (request, status, error) 
                {
                    swal("No es posible cancelar  una venta con cobros o entregas realizadas.", "", "warning");
                }
            });
        }

        function fDelete(Id)
        {
            $.ajax({
                url: "/Orders/OrderDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function fSendMail(Id) {
            $.ajax({
                url: "/Orders/OrderSendMail/" + Id,
                type: "GET",
                data: null,
                success: function (data)
                {
                    if (data == '') {
                        swal("Enviado!", "", "success");
                    }
                }
            });
        }

        function setActionsDialogs()
        {
            $('.remove-row').on("click", function ()
            {
                var rowId = $(this).attr("data-rowid");
                swal({
                    title: "Esta seguro que desea Eliminar la venta #" + rowId +" ?",
                    text: "",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo elminarlo!',
                    cancelButtonText: 'Cancelar',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm) {
                    if (isConfirm) {
                        fDelete(rowId);
                    }
                });
            });

            $('.cancel-row').on("click", function ()
            {
                var rowId = $(this).attr("data-rowid");
                swal({
                    title: "Cancelar Venta",
                    text: "Esta seguro que desea cancelar la venta #" + rowId + " ?",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo cancelarla',
                    cancelButtonText: 'No',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm)
                {
                    if (isConfirm)
                    {
                        fCancel(rowId);
                    }
                });
            });

            $('.sendmail-row').on("click", function () {
                var rowId = $(this).attr("data-rowid");
                swal({
                    title: "Enviar Proforma",
                    text: "Esta seguro que desea enviar el mail de proforma a la orden #" + rowId + " ?",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo enviarlo',
                    cancelButtonText: 'No',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm) {
                    if (isConfirm) {
                        fSendMail(rowId);
                    }
                });
            });
        }

    </script>

}

